# $Revision: 1.25 $, $Date: 2010/09/24 14:16:24 $

#%define fix 24635

Summary:	MythTV Themes
Summary(pl.UTF-8):	Motywy dla MythTV
Name:		myththemes
Version:	0.23.1
#Release:        fix%{fix}.1
Release:	1
License:	GPL v2
Group:		Themes
Source0:	ftp://ftp.osuosl.org/pub/mythtv/%{name}-%{version}.tar.bz2
# Source0-md5:	7dc2588a3235f84a957909449a8bda88
BuildRequires:	libmyth-devel >= 0.22
BuildRequires:	libstdc++-devel
BuildRequires:	qt4-qmake
BuildRequires:	which
Requires:	mythtv-frontend >= %{version}
BuildArch:	noarch
# ExclusiveArch is because it's no point of building these on archidectures which don't have mythtv itself
ExclusiveArch:	%{ix86} %{x8664} ppc noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a number of themes for MythTV that used to be
distributed in the main download: Iulius, Minimalist-wide, Titivillus,
Titivillus-OSD.

%description -l pl.UTF-8
Ten pakiet zawiera motywy dla MythTV, wcześniej rozprowadzane wraz z
głównym pakietem: Iulius, Minimalist-wide, Titivillus, Titivillus-OSD.

%prep
%setup -q

%build
%configure
qmake-qt4 myththemes.pro \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_datadir}/mythtv/themes/Arclight
%{_datadir}/mythtv/themes/Childish
%{_datadir}/mythtv/themes/Graphite
%{_datadir}/mythtv/themes/Iulius-OSD
%{_datadir}/mythtv/themes/Mono-OSD
%{_datadir}/mythtv/themes/Mythbuntu
%{_datadir}/mythtv/themes/ProjectGrayhem-OSD
%{_datadir}/mythtv/themes/Retro-OSD
%{_datadir}/mythtv/themes/Titivillus-OSD
%{_datadir}/mythtv/themes/blueosd
%{_datadir}/mythtv/themes/blootube-osd
%{_datadir}/mythtv/themes/metallurgy

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: myththemes.spec,v $
Revision 1.25  2010/09/24 14:16:24  w.kier
- up to 0.23.1

Revision 1.24  2010/05/30 13:08:40  hawk
- in Th and Tianium for some time now, release 1

Revision 1.23  2010/05/14 22:13:38  sparky
- BR: libstdc++-devel, which

Revision 1.22  2010/05/13 21:15:11  w.kier
- updated to 0.23; to new themes

Revision 1.21  2009/11/07 17:47:54  w.kier
- up to full 0.22

Revision 1.20  2009/11/04 19:35:14  w.kier
- "speed finger" error correction

Revision 1.19  2009/11/04 19:15:31  w.kier
- missing entries for ProjectGrayhem-OSD and blootube-osd added

Revision 1.18  2009/11/04 09:48:25  w.kier
- corrected md5sum for Source0

Revision 1.17  2009/11/04 00:49:12  w.kier
- up to 0.22rc2

Revision 1.16  2009/10/19 22:55:40  w.kier
- Missing url added

Revision 1.15  2009/10/19 22:45:38  w.kier
- Up to rc1 from svn versions
- Included themes changed to current therefore

Revision 1.14  2009/05/24 21:31:21  w.kier
- rel. up

Revision 1.13  2009/05/24 21:08:19  w.kier
- BR libmyth-devel

Revision 1.12  2009/05/24 13:15:12  w.kier
- up to recent svn trunk version
  (for compatibility with mythtv main packages)

Revision 1.9  2007/11/11 19:15:18  glen
- 0.20.2

Revision 1.8  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.6  2006/09/14 16:36:04  glen
- should require frontend from same mythtv release

Revision 1.5  2006/09/14 16:33:08  glen
- 0.20, adjust Group

Revision 1.4  2006/02/13 15:16:31  glen
- merged from DEVEL

Revision 1.3.2.3  2006/02/13 15:07:39  glen
- 0.19 release

Revision 1.3.2.2  2006/01/30 20:09:25  glen
- svn r8763 (20060129)

Revision 1.3.2.1  2006/01/09 18:06:30  glen
- 20051221 snap, r8332

Revision 1.3  2005/11/25 16:54:37  qboosh
- pl, BR: qmake

Revision 1.2  2005/11/21 02:33:48  glen
- ExclusiveArch noarch to be able to build with ./builder. Probably not the
  most appropriate way to do it?

Revision 1.1  2005/11/20 23:49:18  glen
- new
